Subject: Re: Syntax errors in standard Header files?
From: [email-masked]

1 Feb 1997 01:10:54 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: The reason it won't work is because your file is named 'test.c'. If you
: name it 'test.cc' or 'test.cpp' or compile with the option to select c++
: (I'm not sure what it is)

It is -xc++

: > : bash$ gcc test.c -o test.exe
: > : In file included from \DEV\CYGNUS\include\g++/iostream.h:31,
: > :                  from test.c:1:
: > : \DEV\CYGNUS\include\g++/streambuf.h:35: syntax error before string constant
: > : In file included from \DEV\CYGNUS\include\g++/iostream.h:31,
: > :                  from test.c:1:
: > : \DEV\CYGNUS\include\g++/streambuf.h:37: syntax error before `}'

Sorry, I overlooked the use of gcc. That should be g++ or gxx.
Or use the flag. But why in the hell can it *find* g++ includes, when
it's not in c++ mode? There's no -I! Were any environment variables set?

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".